import { BaseRequest } from './base';
import { IsEmail, IsNotEmpty } from 'class-validator';

export class AuthSignUpRequest extends BaseRequest {
	@IsEmail()
	username: string;

	@IsNotEmpty()
	password: string;
}

export class AuthLoginRequest extends AuthSignUpRequest {
	otp?: string;
}
