export class BaseResponse {
	statusCode: number;
}

export class SuccessResponse extends BaseResponse {
	statusCode: 200;
}

export class ErrorResponse extends BaseResponse {
	statusCode: 400 | 401 | 403;
	message?: string;
}
